hammer product info does not accept --id argument
Status: Closed   

Priority: Normal   

Assignee: Tomáš Strachota   

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1096320 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1096320

Description of problem:

When trying to get information about a product the hammer product info command does not accept the --id argument

Version-Release number of selected component (if applicable):

1. hammer --version

hammer (0.1.0)  * hammer_cli_foreman (0.1.0)  * hammer_cli_katello (0.0.3)

How reproducible:

Aways

Steps to Reproduce:

1. hammer product info --id=<product_id> --organization-id=<org_id>

Actual results:

The command fail with the error: Error: Unrecognised option '--id'

Expected results:

The command accepts the --id argument and show the product information

Additional info:

hammer product info help does not show any other argument except -h, --help

1. hammer product info --help

Usage:

hammer product info [OPTIONS]

Options:

-h, --help                    print help

History

#1 - 05/20/2014 03:44 PM - Brad Buckingham

- Triaged set to Yes

#2 - 05/26/2014 11:54 AM - Tomáš Strachota

- Status changed from New to Assigned

- Assignee changed from Adam Price to Tomáš Strachota

#3 - 05/27/2014 08:38 AM - Tomáš Strachota

- Status changed from Assigned to Closed

This seems to be fixed in hammer-0.1.1 and hammer_cli_foreman-0.1.1.
#4 - 08/22/2014 08:26 AM - Eric Helms

- translation missing: en.field_release set to 13
